Package com.collibra.catalog.sampler.api.dto

# Class SampleColumn

Object
SampleColumn

public final class SampleColumn extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SampleColumn.SampleColumnBuilder`
  `static enum`
  `SampleColumn.SamplingStatus`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SampleColumn(UUID id, String name, String displayName, String technicalDataType, String tableName, List<String> samples)`
  `SampleColumn(UUID id, String name, String displayName, String technicalDataType, String tableName, List<String> samples, SampleColumn.SamplingStatus samplingStatus)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SampleColumn.SampleColumnBuilder`
  `builder()`
  `boolean`
  `equals(Object o)`
  `String`
  `getDisplayName()`
  `UUID`
  `getId()`
  `String`
  `getName()`
  `List<String>`
  `getSamples()`
  `SampleColumn.SamplingStatus`
  `getSamplingStatus()`
  `String`
  `getTableName()`
  `String`
  `getTechnicalDataType()`
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SampleColumn

    public SampleColumn(UUID id, String name, String displayName, String technicalDataType, String tableName, List<String> samples)

  - ### SampleColumn

    public SampleColumn(UUID id, String name, String displayName, String technicalDataType, String tableName, List<String> samples, SampleColumn.SamplingStatus samplingStatus)

- ## Method Details

  - ### builder

    public static SampleColumn.SampleColumnBuilder builder()

  - ### getId

    public UUID getId()

  - ### getName

    public String getName()

  - ### getDisplayName

    public String getDisplayName()

  - ### getTechnicalDataType

    public String getTechnicalDataType()

  - ### getTableName

    public String getTableName()

  - ### getSamples

    public List<String> getSamples()

  - ### getSamplingStatus

    public SampleColumn.SamplingStatus getSamplingStatus()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`